POST api/badgemappingapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
BadgeMappingViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
None. |
|
| source_code | string |
String length: inclusive between 0 and 30 |
|
| target_code | string |
String length: inclusive between 0 and 30 |
|
| description | string |
String length: inclusive between 0 and 80 |
|
| application_date | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "9d2de994-0164-420c-9a96-1191e34dd974",
"site_id": "6a276bbd-9967-4532-9ea8-ef8b309cf53e",
"source_code": "sample string 3",
"target_code": "sample string 4",
"description": "sample string 5",
"application_date": "2026-09-26T16:30:38.4687877+00:00"
}
application/xml, text/xml
Sample:
<badgemapping xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <application_date>2026-09-26T16:30:38.4687877+00:00</application_date> <description>sample string 5</description> <id>9d2de994-0164-420c-9a96-1191e34dd974</id> <site_id>6a276bbd-9967-4532-9ea8-ef8b309cf53e</site_id> <source_code>sample string 3</source_code> <target_code>sample string 4</target_code> </badgemapping>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"b1e18674-cc26-44b0-bb3e-100f962df339"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">b1e18674-cc26-44b0-bb3e-100f962df339</guid>